from rest_framework.exceptions import APIException, AuthenticationFailed
from rest_framework.views import exception_handler


def full_details_exception_handler(exc, context):
    if isinstance(exc, APIException):
        exc.detail = exc.get_full_details()

    if isinstance(exc, AuthenticationFailed):
        exc.status_code = 401  # ensure the status code

    return exception_handler(exc, context)
